Update a mass payment
Update the status of a deferred mass payment to control its processing lifecycle. Set status to pending to trigger processing and begin fund transfers, or cancelled to permanently cancel the mass payment before processing begins. Only applies to mass payments created with deferred status. Returns the updated mass payment resource with the new status.
POST https://api-sandbox.dwolla.com/mass-payments/692486f8-29f6-4516-a6a5-c69fd2ce854c
Accept: application/vnd.dwolla.v1.hal+json
Content-Type: application/vnd.dwolla.v1.hal+json
Authorization: Bearer pBA9fVDBEyYZCEsLf/wKehyh1RTpzjUj5KzIRfDi0wKTii7DqY
{
"status": "pending"
}// Using dwolla-v2 - https://github.com/Dwolla/dwolla-v2-node
var massPaymentUrl =
"https://api-sandbox.dwolla.com/mass-payments/692486f8-29f6-4516-a6a5-c69fd2ce854c";
var requestBody = {
status: "pending",
};
dwolla.post(massPaymentUrl, requestBody).then((res) => res.body.status); // => "pending"
# Using dwollav2 - https://github.com/Dwolla/dwolla-v2-python
mass_payment_url = 'https://api-sandbox.dwolla.com/mass-payments/692486f8-29f6-4516-a6a5-c69fd2ce854c'
request_body = {
'status': 'pending'
}
mass_payments = app_token.post('mass-payments', request_body)
mass_payments.body['status'] # => 'pending'
/**
* No example for this language yet. Coming soon.
**/
# Using dwolla_v2 - https://github.com/Dwolla/dwolla-v2-ruby
mass_payment_url = 'https://api-sandbox.dwolla.com/mass-payments/692486f8-29f6-4516-a6a5-c69fd2ce854c'
request_body = {
"status" => "pending",
}
mass_payment = app_token.post "#{mass_payment_url}", request_body
mass_payment.status # => "pending"
{
"_links": {},
"id": "11ac4051-7b76-44fc-87ab-ae23012393f0",
"status": "complete",
"created": "2022-01-20T17:41:41.000Z",
"metaData": {},
"total": {
"value": "5.00",
"currency": "USD"
},
"totalFees": {
"value": "5.00",
"currency": "USD"
},
"correlationId": "CID-8a2cdc8d-629d-4a24-98ac-40b735229fe2"
}{
"code": "BadRequest",
"message": "The request body contains bad syntax or is incomplete."
}{
"code": "Forbidden",
"message": "Not authorized to update mass payment"
}{
"code": "NotFound",
"message": "Mass payment not found"
}Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
- Token URL
- /token
Headers
The media type of the response. Must be application/vnd.dwolla.v1.hal+json
application/vnd.dwolla.v1.hal+json Path Parameters
ID of mass payment to update
Body
Parameters for updating a mass payment
"pending"
Response
successful operation
Show child attributes
Show child attributes
"11ac4051-7b76-44fc-87ab-ae23012393f0"
"complete"
"2022-01-20T17:41:41.000Z"
Show child attributes
Show child attributes
Show child attributes
Show child attributes
"CID-8a2cdc8d-629d-4a24-98ac-40b735229fe2"
Was this page helpful?
POST https://api-sandbox.dwolla.com/mass-payments/692486f8-29f6-4516-a6a5-c69fd2ce854c
Accept: application/vnd.dwolla.v1.hal+json
Content-Type: application/vnd.dwolla.v1.hal+json
Authorization: Bearer pBA9fVDBEyYZCEsLf/wKehyh1RTpzjUj5KzIRfDi0wKTii7DqY
{
"status": "pending"
}// Using dwolla-v2 - https://github.com/Dwolla/dwolla-v2-node
var massPaymentUrl =
"https://api-sandbox.dwolla.com/mass-payments/692486f8-29f6-4516-a6a5-c69fd2ce854c";
var requestBody = {
status: "pending",
};
dwolla.post(massPaymentUrl, requestBody).then((res) => res.body.status); // => "pending"
# Using dwollav2 - https://github.com/Dwolla/dwolla-v2-python
mass_payment_url = 'https://api-sandbox.dwolla.com/mass-payments/692486f8-29f6-4516-a6a5-c69fd2ce854c'
request_body = {
'status': 'pending'
}
mass_payments = app_token.post('mass-payments', request_body)
mass_payments.body['status'] # => 'pending'
/**
* No example for this language yet. Coming soon.
**/
# Using dwolla_v2 - https://github.com/Dwolla/dwolla-v2-ruby
mass_payment_url = 'https://api-sandbox.dwolla.com/mass-payments/692486f8-29f6-4516-a6a5-c69fd2ce854c'
request_body = {
"status" => "pending",
}
mass_payment = app_token.post "#{mass_payment_url}", request_body
mass_payment.status # => "pending"
{
"_links": {},
"id": "11ac4051-7b76-44fc-87ab-ae23012393f0",
"status": "complete",
"created": "2022-01-20T17:41:41.000Z",
"metaData": {},
"total": {
"value": "5.00",
"currency": "USD"
},
"totalFees": {
"value": "5.00",
"currency": "USD"
},
"correlationId": "CID-8a2cdc8d-629d-4a24-98ac-40b735229fe2"
}{
"code": "BadRequest",
"message": "The request body contains bad syntax or is incomplete."
}{
"code": "Forbidden",
"message": "Not authorized to update mass payment"
}{
"code": "NotFound",
"message": "Mass payment not found"
}